# TODO, maybe some day:
# - livebuffer patch, http://www.vdr-portal.de/board/thread.php?threadid=37309
# - channelfilter patch, http://www.u32.de/vdr.html#patches
# - more rofa's patches, http://www.saunalahti.fi/~rahrenbe/vdr/patches/
# - pause patch (causes OSD placement issues at least with unrebuilt text2skin)
#   http://www.tolleri.net/vdr/vdr/vdr-1.6.0-2-pause-0.0.1.patch
#   http://thread.gmane.org/gmane.linux.vdr/40188

%global _hardened_build 1
%bcond_without    docs

%global varbase   %{_var}/lib/vdr
%global videodir  %{varbase}/video
%global vardir    %{varbase}/data
%global plugindir %{_libdir}/vdr
%global configdir %{_sysconfdir}/vdr
%global datadir   %{_datadir}/vdr
%global cachedir  %{_var}/cache/vdr
%global rundir    %{_var}/run/vdr
%global vdr_user  vdr
%global vdr_group video
# From APIVERSION in config.h
%global apiver    %{version}

%global migrfile %{_var}/run/systemd-migr_%{name}-%{version}-%{release}.%{_arch}

Name:           vdr
Version:        1.7.27
Release:        2%{?dist}
Summary:        Video Disk Recorder

License:        GPLv2+
URL:            http://www.tvdr.de/
Source0:        ftp://ftp.tvdr.de/vdr/Developer/%{name}-%{version}.tar.bz2
Source1:        %{name}.service
Source2:        %{name}.sysconfig
Source3:        %{name}.sudoers
Source4:        %{name}-udev.rules
Source5:        %{name}-reccmds.conf
Source6:        %{name}-commands.conf
Source7:        %{name}-runvdr.sh
Source8:        %{name}-dvbsddevice.conf
Source9:        %{name}-config.sh
Source10:       %{name}-README.package
Source11:       %{name}-skincurses.conf
Source12:       %{name}-dvbhddevice.conf
Source13:       %{name}-timercmds.conf
Source14:       %{name}-shutdown.sh
Source15:       %{name}-moveto.sh
Source16:       %{name}-CHANGES.package.old
Source17:       %{name}.macros
Source18:       http://cdn.debian.net/debian/pool/main/v/vdr/vdr_1.7.23-1.debian.tar.bz2
Source19:       %{name}-check-setup.sh
Source20:       %{name}-rcu.conf
Patch0:         %{name}-channel+epg.patch
Patch1:         http://zap.tartarus.org/~ds/debian/dists/stable/main/source/vdr_1.4.5-2.ds.diff.gz
Patch2:         http://www.saunalahti.fi/~rahrenbe/vdr/patches/vdr-1.7.27-liemikuutio-1.34.patch.gz
# Extracted from http://copperhead.htpc-forum.de/downloads/extensionpatch/extpngvdr1.7.21v1.diff.gz
Patch3:         %{name}-1.7.21-plugin-missing.patch
Patch4:         %{name}-1.7.22-paths.patch
Patch5:         http://toms-cafe.de/vdr/download/vdr-timer-info-0.5-1.7.13.diff
# http://article.gmane.org/gmane.linux.vdr/36097
Patch6:         %{name}-1.5.18-syncearly.patch
Patch7:         http://projects.vdr-developer.org/projects/plg-ttxtsubs/repository/revisions/master/raw/patches/vdr-1.7.21-ttxtsubs.patch
# Extracted from http://copperhead.htpc-forum.de/downloads/extensionpatch/extpngvdr1.7.21v1.diff.gz
# Original at http://toms-cafe.de/vdr/download/vdr-jumpplay-1.0-1.7.6.diff
Patch8:         %{name}-1.7.27-jumpplay.patch
# http://www.udo-richter.de/vdr/patches.en.html#hlcutter
Patch9:         http://www.udo-richter.de/vdr/files/vdr-1.7.27-hlcutter-0.2.3.diff
Patch10:        %{name}-1.7.27-libhdffcmd-cflags.patch
# http://article.gmane.org/gmane.linux.vdr/43590
Patch11:        %{name}-1.7.25-mainmenuhooks101.patch
# http://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git/plain/patches/timercmd-0.1_1.7.17.diff
# Modified so that it applies over the timer-info patch
Patch12:        %{name}-1.7.21-timercmd.patch
Patch13:        http://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git/plain/patches/vdr-1.5.17-progressbar-support-0.0.1.diff
Patch15:        %{name}-1.7.21-fedora-pkgconfig.patch
Patch16:        %{name}-1.7.21-jumpplay-finnish.patch
Patch17:        http://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git/plain/patches/vdr.epgsearch-exttimeredit-0.0.2.diff
Patch18:        %{name}-1.7.27-legacy-receiver.patch
# http://projects.vdr-developer.org/issues/819
Patch19:        %{name}-1.7.22-ttxtsubs-on.patch

BuildRequires:  libjpeg-devel
BuildRequires:  libcap-devel
BuildRequires:  pkgconfig
BuildRequires:  perl(File::Spec)
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gettext
BuildRequires:  systemd-units
%if %{with docs}
BuildRequires:  doxygen
BuildRequires:  graphviz
%endif # docs
# udev >= 136-1 for the audio, cdrom, dialout, and video groups
Requires:       udev >= 136-1
# sudo for the shutdown script, >= 1.7.2p2-3 for sudoers.d functionality
Requires:       sudo >= 1.7.2p2-3
# util-linux >= 2.15 for "rtcwake -m no" timer driven wakeups
Requires:       util-linux >= 2.15
# shadow-utils >= 4.1.1 for useradd -N
Requires(pre):  shadow-utils >= 2:4.1.1
# For systemd-sysv, chkconfig for systemd migration
Requires(pre):  systemd-sysv chkconfig
Requires(post): shadow-utils
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Provides:       vdr(abi)%{?_isa} = %{apiver}
%if "%{?_isa}" != ""
# Deprecated backwards compatibility, plugins should depend on vdr(abi)%{?_isa}
Provides:       vdr(abi) = %{apiver}
%endif
Obsoletes:      vdr-subtitles <= 0.5.0
Obsoletes:      vdr-sky < 1.7.11

%description
VDR implements a complete digital set-top-box and video recorder.
It can work with signals received from satellites (DVB-S) as well as
cable (DVB-C) and terrestrial (DVB-T) signals.  At least one DVB card
is required to run VDR.

%package        devel
Summary:        Development files for VDR
Requires:       gettext
Provides:       vdr-devel(api) = %{apiver}

%description    devel
%{summary}.

%package        docs
Summary:        Developer documentation for VDR
BuildArch:      noarch

%description    docs
%{summary}.

%package        dvbhddevice
Summary:        VDR output device plugin for TechnoTrend S2-6400 DVB cards
Requires:       vdr(abi)%{?_isa} = %{apiver}

%description    dvbhddevice
The dvbhddevice plugin implements a VDR output device for the "Full
Featured TechnoTrend S2-6400" DVB cards.

%package        dvbsddevice
Summary:        VDR output device plugin for full featured SD DVB cards
Requires:       vdr(abi)%{?_isa} = %{apiver}
# To get this subpackage pulled in on upgrades
Obsoletes:      vdr < 1.7.11

%description    dvbsddevice
The dvbsddevice plugin implements the output device for the "Full
Featured" DVB cards based on the TechnoTrend/Fujitsu-Siemens design.

%package        rcu
Summary:        VDR remote control unit plugin
Requires:       vdr(abi)%{?_isa} = %{apiver}
# To get this subpackage pulled in on upgrades
Obsoletes:      vdr < 1.7.25

%description    rcu
The rcu plugin implements a remote control unit for VDR.

%package        skincurses
Summary:        Shell window skin plugin for VDR
BuildRequires:  ncurses-devel
Requires:       vdr(abi)%{?_isa} = %{apiver}

%description    skincurses
The skincurses plugin implements a VDR skin that works in a shell
window, using only plain text output.


%prep
%setup -q -a 18
%patch0 -p1
%patch1 -p1
# sort_options would be nice, but it conflicts with channel+epg which is nicer
#patch -F 0 -i debian/patches/02_sort_options.dpatch
# TODO: does not apply since 1.7.24
#patch -F 0 -i debian/patches/06_recording_scan_speedup.dpatch
patch -F 2 -i debian/patches/07_blockify_define.dpatch
# TODO: does not apply
#patch -F 0 -i debian/patches/10_livelock.dpatch
patch -F 0 -i debian/patches/12_osdbase-maxitems.patch
%patch2 -p1
%patch3 -p1
sed \
  -e 's|__CACHEDIR__|%{cachedir}|'   \
  -e 's|__CONFIGDIR__|%{configdir}|' \
  -e 's|__PLUGINDIR__|%{plugindir}|' \
  -e 's|__VARDIR__|%{vardir}|'       \
  -e 's|__VIDEODIR__|%{videodir}|'   \
  %{PATCH4} | patch -F 0 -p1
%patch5 -p1
# TODO: does not apply
#patch6 -p0
%patch7 -p1 -F 2
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
# TODO: does not apply
#patch13 -p1
%patch15 -p0
%patch16 -p1
# TODO: build failure
#patch17 -p0 -F 3
%patch18 -p1
%patch19 -p1

for f in CONTRIBUTORS HISTORY UPDATE-1.4.0 README.timer-info ; do
  iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f && mv $f.utf8 $f
done

cp -p %{SOURCE5} reccmds.conf
cp -p %{SOURCE13} timercmds.conf
cp -p %{SOURCE6} commands.conf
# Unfortunately these can't have comments in them, so ship 'em empty.
cat /dev/null > channels.conf
cat /dev/null > remote.conf
cat /dev/null > setup.conf
cat /dev/null > timers.conf

install -pm 644 %{SOURCE10} README.package
install -pm 644 %{SOURCE16} CHANGES.package.old

# Would like to do "files {channels,setup,timers}.conf" from config dir
# only, but rename() in cSafeFile barks "device or resource busy", cf.
# http://lists.suse.com/archive/suse-programming-e/2003-Mar/0051.html
cat << EOF > %{name}.rwtab
dirs    %{cachedir}
files   %{configdir}
files   %{vardir}
EOF

# Disable some graphs that end up too big to be useful.
for g in COLLABORATION INCLUDE INCLUDED_BY ; do
    sed -i -e 's/^\(\s*'$g'_GRAPH\s*=\s*\).*/\1NO/' Doxyfile
done


%build

export RPM_OPT_FLAGS="${RPM_OPT_FLAGS/-O2/-O3}" # see HISTORY for 1.7.17
vdrcxxflags="-Wall -Werror=overloaded-virtual -Wno-parentheses"

cat << EOF > Make.config
CC           = %{__cc}
CXX          = %{__cxx}

ifeq (\$(RPM_OPT_FLAGS),)
  CFLAGS     = $RPM_OPT_FLAGS
  CXXFLAGS   = $RPM_OPT_FLAGS $vdrcxxflags
  LDFLAGS    = $RPM_LD_FLAGS
else
  CFLAGS     = \$(RPM_OPT_FLAGS)
  CXXFLAGS   = \$(RPM_OPT_FLAGS) $vdrcxxflags
  LDFLAGS    = \$(RPM_LD_FLAGS)
endif

ifdef PLUGIN
  include \$(VDRDIR)/Make.global # some plugins fail to do this
endif

PREFIX       = %{_prefix}
MANDIR       = %{_mandir}
BINDIR       = %{_sbindir}

LOCDIR       = \$(shell pkg-config vdr --variable=localedir)
PLUGINLIBDIR = \$(shell pkg-config vdr --variable=plugindir)
VIDEODIR     = \$(shell pkg-config vdr --variable=videodir)
CONFDIR      = \$(shell pkg-config vdr --variable=configdir)
INCDIR       = \$(shell pkg-config vdr --variable=includedir)
LIBDIR       = \$(PLUGINLIBDIR)

LIRC_DEVICE  = %{_localstatedir}/run/lirc/lircd
VDR_USER     = %{vdr_user}
EOF

make %{?_smp_mflags} vdr vdr.pc include-dir \
    INCDIR=%{_includedir} CONFDIR=%{configdir} \
    VIDEODIR=%{videodir} PLUGINLIBDIR=%{plugindir} LOCDIR=%{_datadir}/locale \
    DATADIR=%{datadir} CACHEDIR=%{cachedir} \
    RUNDIR=%{rundir} VARDIR=%{vardir} VDR_GROUP=%{vdr_group}

make %{?_smp_mflags} i18n LOCALEDIR=./locale

make %{?_smp_mflags} -C PLUGINS/src/dvbhddevice LIBDIR=. all
make %{?_smp_mflags} -C PLUGINS/src/dvbsddevice LIBDIR=. all
make %{?_smp_mflags} -C PLUGINS/src/rcu LIBDIR=. all
make %{?_smp_mflags} -C PLUGINS/src/skincurses LIBDIR=. all

%if %{with docs}
make %{?_smp_mflags} srcdoc
find srcdoc -type f -size 0 -delete
%endif # docs


%install

make install-bin install-pc install-doc DESTDIR=$RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 epg2html $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_sbindir}/svdrpsend $RPM_BUILD_ROOT%{_bindir}

install -pm 644 debian/svdrpsend.1 $RPM_BUILD_ROOT%{_mandir}/man1

PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_libdir}/pkgconfig \
make install-i18n install-includes DESTDIR=$RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins
install -pm 644 *.conf $RPM_BUILD_ROOT%{configdir}

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d

install -dm 755 $RPM_BUILD_ROOT%{vardir}/themes
touch $RPM_BUILD_ROOT%{vardir}/themes/{classic,sttng}-default.theme

install -pm 755 %{SOURCE7} $RPM_BUILD_ROOT%{_sbindir}/runvdr
sed -i \
  -e 's|/usr/sbin/|%{_sbindir}/|'                    \
  -e 's|/etc/sysconfig/|%{_sysconfdir}/sysconfig/|g' \
  -e 's|/usr/lib/vdr\b|%{plugindir}|'                \
  -e 's|/var/run/vdr/|%{rundir}/|'                   \
  -e 's|VDR_PLUGIN_VERSION|%{apiver}|'               \
  $RPM_BUILD_ROOT%{_sbindir}/runvdr

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
sed -e 's|/usr/lib/vdr/|%{plugindir}/|' < %{SOURCE2} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr

install -dm 755 $RPM_BUILD_ROOT%{videodir}

touch $RPM_BUILD_ROOT%{videodir}/.update

install -dm 755 $RPM_BUILD_ROOT%{plugindir}/bin
sed -e 's|/etc/sysconfig/|%{_sysconfdir}/sysconfig/|' \
  -e 's|/var/run/vdr/|%{rundir}/|' < %{SOURCE14} \
  > $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-shutdown.sh
chmod 755 $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-shutdown.sh
sed -e 's|/var/lib/vdr/video|%{videodir}|' -e 's|/etc/vdr/|%{configdir}/|' \
  < %{SOURCE15} > $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-moveto.sh
chmod 755 $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-moveto.sh
sed -e 's|/etc/vdr/|%{configdir}/|' \
  -e 's|VDR_USER|%{vdr_user}|' -e 's|VDR_GROUP|%{vdr_group}|' \
  < %{SOURCE19} > $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-check-setup
chmod 755 $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-check-setup

install -dm 755 $RPM_BUILD_ROOT%{_unitdir}
sed -e 's|/usr/lib/vdr/|%{plugindir}/|' -e 's|/usr/sbin/|%{_sbindir}/|' \
  < %{SOURCE1} > $RPM_BUILD_ROOT%{_unitdir}/%{name}.service

install -Dpm 440 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sudoers.d/vdr

install -dm 755 $RPM_BUILD_ROOT%{cachedir}
touch $RPM_BUILD_ROOT%{cachedir}/epg.data
install -dm 755 $RPM_BUILD_ROOT%{datadir}/logos
install -dm 755 $RPM_BUILD_ROOT%{rundir}
touch $RPM_BUILD_ROOT%{rundir}/next-timer
install -dm 755 $RPM_BUILD_ROOT%{vardir}

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
sed -e 's/VDR_GROUP/%{vdr_group}/' < %{SOURCE4} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/51-%{name}.rules
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/*-%{name}.rules

install -Dpm 644 %{name}.rwtab $RPM_BUILD_ROOT%{_sysconfdir}/rwtab.d/%{name}

# devel

abs2rel() { perl -MFile::Spec -e 'print File::Spec->abs2rel(@ARGV)' "$@" ; }

install -pm 755 %{SOURCE9} $RPM_BUILD_ROOT%{_bindir}/vdr-config
install -pm 755 newplugin $RPM_BUILD_ROOT%{_bindir}/vdr-newplugin
install -pm 644 Make.config Make.global $RPM_BUILD_ROOT%{_libdir}/vdr
ln -s $(abs2rel %{_includedir}/vdr/config.h %{_libdir}/vdr) \
  $RPM_BUILD_ROOT%{_libdir}/vdr
install -Dpm 644 %{SOURCE17} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.vdr

# i18n

%find_lang %{name}
sed -i -e '1i%%defattr(-,root,root,-)' %{name}.lang

%if 0%{?fedora} || 0%{?rhel} > 6
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d
echo "D %{rundir} 0755 %{vdr_user} root -" \
  > $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/%{name}.conf
echo "%%config(noreplace) %{_sysconfdir}/tmpfiles.d/%{name}.conf" \
  >> %{name}.lang
%endif

# plugins

install -pm 755 PLUGINS/src/dvbhddevice/libvdr-dvbhddevice.so.%{apiver} \
  $RPM_BUILD_ROOT%{plugindir}
install -pm 644 %{SOURCE12} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/dvbhddevice.conf
%find_lang %{name}-dvbhddevice

install -pm 755 PLUGINS/src/dvbsddevice/libvdr-dvbsddevice.so.%{apiver} \
  $RPM_BUILD_ROOT%{plugindir}
install -pm 644 %{SOURCE8} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/dvbsddevice.conf

install -pm 755 PLUGINS/src/rcu/libvdr-rcu.so.%{apiver} \
  $RPM_BUILD_ROOT%{plugindir}
install -pm 644 %{SOURCE20} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/rcu.conf

install -pm 755 PLUGINS/src/skincurses/libvdr-skincurses.so.%{apiver} \
  $RPM_BUILD_ROOT%{plugindir}
install -pm 644 %{SOURCE11} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/skincurses.conf
%find_lang %{name}-skincurses


%check
export PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_libdir}/pkgconfig
if [ "$(pkg-config vdr --variable=apiversion)" != "%{apiver}" ] ; then
    echo "ERROR: API version mismatch in vdr.pc / package / config.h" ; exit 1
fi


%pre
getent passwd %{vdr_user} >/dev/null || \
useradd -r -g %{vdr_group} -d %{vardir} -s /sbin/nologin -M -N \
    -c "Video Disk Recorder" %{vdr_user}
rm -f %{migrfile} &>/dev/null
if [ $1 -gt 1 ] && [ ! -e %{_unitdir}/%{name}.service ] && \
   [ -e %{_initddir}/%{name} ] ; then
    systemd-sysv-convert --save %{name} &>/dev/null
    chkconfig --del %{name} &>/dev/null
    touch %{migrfile} &>/dev/null
fi
:

%post
usermod -a -G audio,cdrom,dialout %{vdr_user}
[ $1 -eq 1 ] && systemctl daemon-reload &>/dev/null || :

%preun
if [ $1 -eq 0 ] ; then
    systemctl --no-reload disable %{name}.service &>/dev/null
    systemctl stop %{name}.service &>/dev/null || :
fi

%postun
systemctl daemon-reload &>/dev/null
[ $1 -gt 0 ] && systemctl try-restart %{name}.service &>/dev/null || :

%triggerpostun -- %{name}
if [ $1 -gt 0 ] && [ -e %{migrfile} ] ; then
    systemctl daemon-reload &>/dev/null
    systemctl try-restart %{name}.service &>/dev/null
fi
rm -f %{migrfile} &>/dev/null || :

%files -f %{name}.lang
%doc CONTRIBUTORS COPYING HISTORY* INSTALL MANUAL README* UPDATE-1.?.0
%doc CHANGES.package.old
%config(noreplace) %{_sysconfdir}/sudoers.d/vdr
%config(noreplace) %{_sysconfdir}/sysconfig/vdr
%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
%config(noreplace) %{_sysconfdir}/rwtab.d/%{name}
%config %dir %{_sysconfdir}/sysconfig/vdr-plugins.d/
%{_bindir}/epg2html
%{_bindir}/svdrpsend
%{_sbindir}/runvdr
%{_sbindir}/vdr
%{_unitdir}/%{name}.service
%dir %{plugindir}/
%dir %{plugindir}/bin/
%{plugindir}/bin/%{name}-check-setup
%{plugindir}/bin/%{name}-moveto.sh
%{plugindir}/bin/%{name}-shutdown.sh
%{datadir}/
%{_mandir}/man1/svdrpsend.1*
%{_mandir}/man1/vdr.1*
%{_mandir}/man5/vdr.5*
%dir %{varbase}/
%defattr(-,%{vdr_user},%{vdr_group},-)
# TODO: tighten ownerships to root:root for some files in %{configdir}
%config(noreplace) %{configdir}/*.conf
%dir %{videodir}/
%ghost %{videodir}/.update
%ghost %{vardir}/themes/*.theme
%ghost %{cachedir}/epg.data
%defattr(-,%{vdr_user},root,-)
%dir %{configdir}/
%dir %{configdir}/plugins/
%dir %{rundir}/
%ghost %{rundir}/next-timer
%dir %{vardir}/
%dir %{vardir}/themes/
%dir %{cachedir}/

%files devel
%doc COPYING
%if ! %{with docs}
%doc PLUGINS.html
%endif # docs
%{_sysconfdir}/rpm/macros.vdr
%{_bindir}/vdr-config
%{_bindir}/vdr-newplugin
%{_includedir}/libsi/
%{_includedir}/vdr/
%{_libdir}/pkgconfig/vdr.pc
%dir %{_libdir}/vdr/
%{_libdir}/vdr/Make.config
%{_libdir}/vdr/Make.global
%{_libdir}/vdr/config.h

%if %{with docs}
%files docs
%doc COPYING PLUGINS.html srcdoc/html/
%endif

%files dvbhddevice -f %{name}-dvbhddevice.lang
%doc PLUGINS/src/dvbhddevice/COPYING PLUGINS/src/dvbhddevice/HISTORY
%doc PLUGINS/src/dvbhddevice/README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/dvbhddevice.conf
%{plugindir}/libvdr-dvbhddevice.so.%{apiver}

%files dvbsddevice
%doc PLUGINS/src/dvbsddevice/COPYING PLUGINS/src/dvbsddevice/HISTORY
%doc PLUGINS/src/dvbsddevice/README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/dvbsddevice.conf
%{plugindir}/libvdr-dvbsddevice.so.%{apiver}

%files rcu
%doc PLUGINS/src/rcu/COPYING PLUGINS/src/rcu/HISTORY PLUGINS/src/rcu/README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/rcu.conf
%{plugindir}/libvdr-rcu.so.%{apiver}

%files skincurses -f %{name}-skincurses.lang
%doc PLUGINS/src/skincurses/COPYING PLUGINS/src/skincurses/HISTORY
%doc PLUGINS/src/skincurses/README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/skincurses.conf
%{plugindir}/libvdr-skincurses.so.%{apiver}


%changelog
* Mon Apr 23 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.27-2
- Build with hardening flags on.
- Update hlcutter patch to 0.2.3.
- Patch to build libhdffcmd with our CFLAGS.
- Sync CXXFLAGS in Make.config with upstream.

* Mon Mar 26 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.27-1
- Update to 1.7.27, re-enable legacy receiver code for now.

* Sun Mar 18 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.26-2
- Apply Rolf Ahrenberg's subtitles fix.

* Sun Mar 11 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.26-1
- Update to 1.7.26.

* Tue Mar  6 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.25-1
- Update to 1.7.25; RCU functionality split into -rcu plugin subpackage.

* Tue Feb 21 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.24-3
- Apply upstream dvbplayer 50fps reload patch.

* Tue Feb 21 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.24-2
- Revert only problematic dvbplayer changes to 1.7.23, thanks to Udo Richter.

* Mon Feb 20 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.24-1
- Update to 1.7.24 sans dvbplayer changes that broke some output plugins.

* Sun Jan 15 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.23-1
- Update to 1.7.23.
- Migrate to systemd.
- runvdr cleanups.

* Wed Jan  4 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7.22-2
- Fix build with g++ 4.7.0.
- Turn on teletext subtitles by default for 1.6.x backwards compat.

* Sun Dec  4 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.7.22-1
- Update to 1.7.22.
- Build docs by default.

* Thu Nov 17 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.7.21-2
- Update liemikuutio patch to 1.33.

* Sun Nov  6 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.7.21-1
- Update to 1.7.21.
- Clean up specfile constructs no longer needed with Fedora or EL6+.

* Mon Sep  5 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-41
- Build with $RPM_LD_FLAGS, add them to Make.config.
- Ship various macros in -devel to ease plugin packaging.

* Thu Jul  7 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-40
- Tweak init script to behave better with systemd at shutdown.

* Fri Feb 18 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-39
- Fix writing next wakeup time from shutdown script.

* Wed Feb 16 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-38
- Drop build time support for lirc < 0.8.6 default socket location.
- Resurrect channel+epg patch.
- Use %%{_initddir} instead of the deprecated %%{_initrddir}.
- Set RTC wakeup for next timer also when shutting down from outside of VDR.
- Add tmpfiles.d config on F-15+ (#656717).

* Tue Feb  8 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-37
- Backport V4L2 patch from VDR 1.7.x to fix build with recent kernel headers.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-35
- Add vdr user to the audio group for direct sound device access with some
  plugin configurations.

* Mon Oct 18 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-34
- Add vdr user to the cdrom (for optical drives) and dialout (for serial port
  remote controls) groups.
- Drop no longer needed pam_console configuration.
- Make vdr-i18n-to-gettext more likely to work out of the box.
- Update MainMenuHooks patch to 1.0.1.
- Update VDR_PLUGIN_ORDER in sysconfig.
- Various minor vdr.pc improvements.

* Thu Jul  8 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-33
- Include COPYING in -docs.

* Tue Apr 27 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-32
- Use rtcwake to set wakeup time, simplify shutdown.
- Drop no longer needed DVB header workaround (#483644).
- Move pre-1.6.0 changelog entries to CHANGES.package.old.

* Sun Mar  7 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-31
- Drop data migration from %%post (was for upgrades from < 1.6.0-15).

* Sun Feb 21 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-30
- Do sudoers config with sudoers.d (sudo >= 1.7.2p2-3).

* Sun Nov 22 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.6.0-29
- Set LIRC_DEVICE to /var/run/lirc/lircd for lirc 0.8.6 and add patch to
  change the sky plugin and vdr.1 man page accordingly (#538604).

* Wed Oct 28 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-28
- Update URLs to point to tvdr.de.

* Sun Aug  9 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-27
- Make -docs noarch also when built on EL > 5.

* Sun Jul 26 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-26
- Provide ISA qualified vdr(abi).  Plugins should depend on (versioned)
  vdr(abi)%%{?_isa} instead of just vdr(abi).
- Borrow build patch for recent (broken? #483644) DVB headers from openSUSE.
- Apply epgsearch timer integration patch.
- Use %%global instead of %%define.

* Mon Jun 22 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-25
- Make -docs noarch when built on Fedora > 9.

* Mon Jun 15 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-24
- Update hlcutter patch to 0.2.2, drop no longer needed gcc 4.4 workaround.
- Resurrect Finnish translation for hlcutter.

* Tue Jun  9 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-23
- Apply gcc 4.4 build fix from openSUSE and upstream, hlcutter still needs work.
- Drop no longer needed DVB header workaround.

* Tue May 26 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-22
- Quiet usermod, avoid possible extra -v inserted to /etc/sysconfig/vdr on
  upgrades from earlier releases that used to default to /srv/vdr for video.
- Add jumpplay patch 1.0 and a Finnish translation for it.
- Update liemikuutio patch to 1.27.

* Sat Apr 18 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-21
- Use videodir from /etc/sysconfig/vdr if set in vdr-moveto.sh.

* Tue Apr 14 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-20
- Add ugly workarounds to "fix" build with gcc 4.4 and current DVB headers.
- Use useradd -N instead of -n in scriptlets (#495731).
- Include Rolf Ahrenberg's sys_nice and ionice patches.
- Update liemikuutio patch to 1.25.

* Sat Feb 28 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-19
- Update liemikuutio patch to 1.24 to fix some issues with gcc 4.4.
- Apply Rolf Ahrenberg's patch to include audio and subtitles shortcut
  buttons in DVB setup menu.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 31 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-17
- Do not create the video group, require udev >= 136-1 which creates it.
- Replace ttxtsubs patch with one from new ttxtsubs upstream.
- Update to re-released liemikuutio 1.21 patch.

* Mon Dec 29 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.6.0-16
- Disable kernel DVB API check to fix build, upstream VDR 1.6.0 expects DVB
  API v3 but current Rawhide kernels have v5.

* Sun Nov 23 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-15
- Reorganize dir structure for better Fedora guidelines compliance (#443706):
  /var/lib/vdr/* -> /var/lib/vdr/data, /srv/video -> /var/lib/vdr/video.
- Drop audiodir and ownership of /srv/audio, examples still point to it.

* Sat Nov 22 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-8
- Fix setting wakeup time via rtc0 when hardware clock is localtime.
- Drop remote plugin examples from udev rules, they're in vdr-remote now.

* Tue Oct 28 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-7
- Fix setting wakeup time via /proc/acpi/alarm when hardware clock is UTC.

* Thu Sep 25 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-6
- README.package updates.
- Specfile micro-cleanups.

* Sun Sep  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-5
- Work around Fedora buildsys not coping with "%%patch -F" (infrastructure
  ticket #817).

* Sun Sep  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-4
- Apply upstream 1.6.0-2 maintenance patch.
- Update shutdown/wakeup functionality for F-9+ ACPI wakeup.
- Install halt.local script (vdr-halt.local.sh) instead of embedding it
  in README-package.  It still needs to be inserted to (or installed/symlinked
  as) /sbin/halt.local.
- Convert remaining docs to UTF-8.
- Set expected fuzz factor when applying patches.

* Sat May 10 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-3
- Update liemikuutio patch to 1.21.
- Change timercmd patch to the one shipped with epgsearch 0.9.24.
- Include vdr-i18n-to-gettext in -devel.
- Own (%%ghost) videodir/.update.

* Sun Apr 13 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-2
- Apply upstream 1.6.0-1 maintenance patch.
- Update timer info patch to 0.5 (fixes the "±" sign).

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-1
- Apply "unofficial" timercmd patch from HoochVDR.
- Apply Luca Olivetti's DXR3 subtitle compatibility patch.
- Decrease default wakeup delay before a timed recording to 10 minutes.
- Don't reload DVB drivers by default on unexpected exits in runvdr.
- Use "kill -HUP" in init script's restart action only on a running service.
- Update and apply timer-info patch.

* Sun Apr  6 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-0.4
- Obsolete vdr-subtitles.

* Fri Apr  4 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-0.3
- Update liemikuutio patch to 1.20.
- Move various (partially) upstreamable changes to patches instead of
  inlining them in the specfile.
- Drop unused logdir.
- Move pre-2008 changelog entries to CHANGES.package.old.

* Sat Mar 29 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-0.2
- Add --with docs build option for building a -docs subpackage.
- Refresh liemikuutio and ttxtsubs patches.

* Sun Mar 23 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-0.1
- 1.6.0 final; still quite a bit to do with the package.
- Adapt sync early and epgsearch (partially) patches.
- Fix dependencies of the sky plugin.
- Move bunch of inline sed'ing to separate patches.
- Use kill -HUP in init script's restart action.
- Don't include bundled plugin sysconfig snippets in main package.
